/**
* A horizontal or vertical connection being part of a circuit
*/
function ModelConnection(
    circuit     // ModelCircuit instance this instance should belong to
) {
    ModelConnection.parent.call(this, circuit);
}
ModelConnection.parent = ModelComponent;
ModelConnection.prototype = Object.create(ModelConnection.parent.prototype);
ModelConnection.prototype.constructor = ModelConnection;

/**
* Get present constant resistance of this component (if any)
* @return Number    Resistance in ohms (can be infinity)
*/
ModelConnection.prototype.getConstraintResistance = function() {
    return 0;
}

/**
* Create string representing component in serialized string
* @return String        String representing component (starting with corresponding letter registered in ModelComponent.serializingLetters) or false if component cannot be serialized
*/
ModelConnection.prototype.serialize = function() {
    return '-';
}

/**
* Which letter in serialized string correspondes to which child class of ModelComponent? Only lowercase is allowed, flippable components are represented by corresponding uppercase letter when flipped
*/
ModelComponent.serializingLetters['-'] = ModelConnection;

/**
* Create ModelConnection instance from serialized string s
* @return ModelConnection    Instance described by serialized string
*/
ModelConnection.fromSerialized = function(
    circuit,    // ModelCircuit instance this instance should belong to
    s           // Serialized string describing component
) {
    return new ModelConnection(circuit);
}
