/**
* Class managing a group or layer within a SVG
*/
function ViewCircuitGroup(
    node        // Represented element in DOM
) {
    this.node = node;
}

/** Represented element in DOM */
ViewCircuitGroup.prototype.node = null;

/** SVG Namespace */
ViewCircuitGroup.ns = 'htt' + 'p://w' + 'ww.w3.org/2000/svg';

/**
* Create and append a SVGElement
* @return SVGElement    New SVGElement
*/
ViewCircuitGroup.prototype.addElement = function(
    strTagname,     // Optional: Tagname des zu erzeugenden Elementes
    objAtts,        // Optional: Attribute des zu erzeugenden Elementes
    strTextContent  // Optional: Textinhalt des Elementes
) {
    var node = this.node;
    if (strTagname)
        node = this.node.ownerDocument.createElementNS(ViewCircuitGroup.ns, strTagname);
    if (objAtts)
        for (var key in objAtts)
            node.setAttribute(key, objAtts[key]);
    if ((strTextContent !== undefined) && ('' + strTextContent).length)
        node.appendChild(this.node.ownerDocument.createTextNode(strTextContent));
    if (node != this.node)
        this.node.appendChild(node);
    return node;
}

/**
* Create and add a new group
* @return ViewCircuitGroup      Instance for managing the newly created group
*/
ViewCircuitGroup.prototype.addGroup = function() {
    return new ViewCircuitGroup(this.addElement('g'));
}
