/**
* Draw connection in SVG
* @return boolean       Did this function render circuitpart?
*/
function renderConnection(
    view,
    dimensions,
    circuitpart     // ModelCircuitPart instance to eventually render
) {
    if (!(circuitpart.component instanceof ModelConnection))
        return false;
    var place = circuitpart.getUsedGridArea();
    var layer = view.getLayer(ViewCircuit.LAYER_COMPONENTS);
    layer.addElement('line', {
        x1: dimensions.internal2localX(place.left),
        x2: dimensions.internal2localX(place.right),
        y1: dimensions.internal2localY(place.top),
        y2: dimensions.internal2localY(place.bottom)
    });
    return true;
}
