/**
* Draws a dot (for open connection or connected) in SVG
* @return undefined
*/
function renderDot(
    view,           // SVG (ViewCircuit instance) used for rendering
    dimensions,     // ViewCircuitDimensions instance providing messurements
    internalX,      // Horizontal position of center of dot in internal units
    internalY,      // Vertical position of center of dot in internal units
    empty,          // Optional: Should dot be filled white?
    radius          // Optional: Radius in internal units
) {
    var layer = view.getLayer(ViewCircuit.LAYER_COMPONENTS);
    layer.addElement('circle', {
        cx: dimensions.internal2localX(internalX),
        cy: dimensions.internal2localY(internalY),
        r: dimensions.internal2local(radius || renderDot.radius),
        style: empty ? 'fill:#fff' : 'fill:#000'
    });
}

/** Default radius of dots */
renderDot.radius = 0.05;
